##
##  giflib.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         giflib
Summary:      Graphics Interchange Format Library
URL:          http://prtr-13.ucsc.edu/~badger/software/libungif/
Vendor:       Gershon Elbor, Eric S. Raymond, Toshio Kuratomi
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        Graphics
License:      LGPL
Version:      4.1.0
Release:      20020405

#   list of sources
Source0:      ftp://prtr-13.ucsc.edu/pub/libungif/giflib-%{version}.tar.gz
Source1:      ftp://prtr-13.ucsc.edu/pub/libungif/libungif-%{version}.tar.gz
Source2:      ftp://ftp.gnu.org/gnu/libtool/libtool-1.3.5.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    These are manipulation libraries for Graphics Interchange Format
    (GIF) images. This package contains both giflib (supports
    compression but requires licensing) and libungif (supports no
    compression, hence does not require licensing). Both are source and
    binary compatible.

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2
    for file in ltmain.sh ltconfig config.guess config.sub; do
        cp libtool-*/$file giflib-%{version}/
        cp libtool-*/$file libungif-%{version}/
    done

%build
    ( cd giflib-%{version}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix} \
          --without-x \
          --disable-shared
      %{l_make} %{l_mflags -O}
    )
    ( cd libungif-%{version}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix} \
          --without-x \
          --disable-shared
      %{l_make} %{l_mflags -O}
    )

%install
    rm -rf $RPM_BUILD_ROOT
    ( cd giflib-%{version}
      %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    )
    ( cd libungif-%{version}
      %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    )
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

